Sortie de LyX 1.6.0 et 1.5.7

Posté par . Modéré par patrick_g.
Tags :
16
15
nov.
2008
Bureautique
Le « processeur de document » LyX, un traitement de texte WYSIWYM est sorti le 10 novembre dans sa nouvelle version majeure 1.6.0. LyX a pour particularité d'être un traitement de texte où la structuration sémantique du document est mise en avant, comme pour LaTeX, et pour lequel le rendu final est d'ailleurs délégué à LaTeX la plupart du temps. C'est pour cela qu'on considère que LyX est un front-end à LaTeX, destiné aux non-initiés, ce qui est un raccourci exagéré.

Pratiquement en parallèle, la version 1.5.7, probablement la dernière de la série 1.5 est sortie afin essentiellement d'offrir la compatibilité des formats de fichiers entre la série 1.6 et 1.5 (plus les dernières corrections de bugs en date). LyX est un logiciel libre développé sous licence GNU GPL v2 ou ultérieure. Son interface graphique est désormais uniquement Qt 4 ce qui lui permet d'être disponible sous l'ensemble des Unix ou distributions GNU/Linux sur X11, mais aussi sous MS-Windows et Mac OS X. La philosophie d'utilisation de LyX est d'offrir une visualisation claire et simple de la structure de son document. La mise en page est ensuite réalisée au mieux directement par le programme, sans que le rédacteur n'ait à se soucier trop des problèmes de placement de figures, de légendes, de renvois ou autres références, le tout avec un rendu d'une grande qualité reconnaissable entre toutes.

La différence avec LaTeX utilisé directement est que la barrière d'entrée est plus faible : grâce à une interface de type menu/fenêtre/barre d'outils, l'utilisation se fait avec la même simplicité qu'un traitement de texte classique à la OpenOffice.org. Les experts LaTeX peuvent quand même y ajouter leur propre code LaTeX à la main pour obtenir des effets non encore supportés nativement par LyX.

Le support de LyX vis à vis de LaTeX correspond à un sous-ensemble de toutes les classes LaTeX disponibles, mais ce sous-ensemble progresse à chaque nouvelle version de LyX. À l'heure actuelle, LyX supporte aussi bien les formats d'Articles scientifiques classiques, que les formats Livres, Lettres ou Présentations, y compris la magnifique classe Beamer (pour la création de présentations).

Au menu de cette nouvelle version majeure, on trouve au niveau de l'interface utilisateur la possibilité de travailler par onglet en multi-documents, une vue partagée du même document, comme il est possible de le faire sur Emacs et une interface pour la manipulation avancée des patrons (layout) bien que cette dernière fonctionnalité soit plutôt réservée aux utilisateurs avancés. Enfin, on voit aussi apparaître un mode plein écran et de l'auto-complétion des mots et des fonctions mathématiques.

Au niveau des nouveautés fonctionnelles, LyX supporte enfin les paquet LaTeX hyperref, URL et hyperlink, qui permettent de mettre des liens croisés ou externes dans les documents générés en PDF. On trouve également un support avancé des « flottants » avec la possibilité, par exemple, de définir des sous-figures. Une grande avancée a été faite également avec la prise en charge directement par LyX des macro mathématiques.

Le support des langues s'est également amélioré, tant au niveau traduction que prise en charge des spécificités de certaines langues comme le japonais grâce à platex. Le support multi-langue n'est toujours pas parfait, mais les difficultés sont largement aplanies désormais. C'est un des objectifs important de la prochaine version majeure.

Ce week-end commence la rencontre quasi-annuelle des développeurs qui vont donc se dévouer corps et âme tant à définir les prémices de la prochaine version majeure qu'à vider un certain nombre de bouteilles de bière. Souhaitons leur bonne chance.
  • # Lyx et non pas 42 !

    Posté par . Évalué à 6.

    Je suis disposé à croire que lyx est l'outil de rédaction ultime pour une grande partie des utilisateurs et s'intègre dans toutes les chaînes de travail. Il présente les avantages de latex (se concentrer sur le texte et sa structure) tout en proposant une interface facile à prendre en main. Si vos utilisateurs acceptent de passer à openoffice alors c'est qu'ils sont déjà prêt pour passer à lyx.

    Vivement le jour où je n'aurai plus à remettre en forme des publications torchées sous Word, où il suffirait d'adapter la feuille de style ou de convertir en xml pour importer sous un logiciel de PAO.
  • # Hem hem...

    Posté par . Évalué à 1.

    J'ai installé la version des dépôts sur mon Ubuntu 8.04. Je le lance, je fais Fichier>Nouveau avec modèle. Je sélectionne le modèle fr_beamer-conference-ornate-20min.lyx
    et là une fenêtre s'ouvre avec le message suivant :
    Le fichier de format demandé par ce document,
    beamer.layout,
    est inutilisable. C'est vraisemblablement à cause d'une
    classe ou d'un style LaTeX qui n'est pas disponible.
    Voyez le manuel Personnalisation pour
    plus d'information.
    LyX ne sera pas à même de produire correctement une sortie.

    Je clique sur OK et Lyx se ferme immédiatement. En console, il me dit :
    Menu warning: menu entry "Texte brut..." does not contain shortcut `a'.
    Warning: Classe de document non disponible
    ----------------------------------------
    Le fichier de format demandé par ce document,
    beamer.layout,
    est inutilisable. C'est vraisemblablement à cause d'une
    classe ou d'un style LaTeX qui n'est pas disponible.
    Voyez le manuel Personnalisation pour
    plus d'information.
    LyX ne sera pas à même de produire correctement une sortie.
    QPaintEngine::setSystemClip: Should not be changed while engine is active
    QPaintEngine::setSystemClip: Should not be changed while engine is active
    QWidgetPrivate::beginSharedPainter: Painter is already active

    lyx: SIGSEGV signal caught
    Sorry, you have found a bug in LyX. Please read the bug-reporting instructions in Help->Introduction and send us a bug report, if necessary. Thanks !
    Bye.
    Abandon


    Certains modèles ont l'air de fonctionner mais d'autres font la même chose.

    Lyx 1.5.3

    Pas très accueillant pour quelqu'un qui essaye de se mettre à Latex!!
    N'y aurait pas un paquet supplémentaire à installer?
    • [^] # Re: Hem hem...

      Posté par (page perso) . Évalué à -1.

      As-tu installé le paquet tetex ?
      • [^] # Re: Hem hem...

        Posté par (page perso) . Évalué à 1.

        Bon, si ça a besoin de teTeX, il faudrait en faire une dépendance du paquet. D'ailleurs, ce serait un problème, il faut utiliser TeXLive, maintenant.
        • [^] # Re: Hem hem...

          Posté par . Évalué à 3.

          C'est pour ça que tetex n'est pas une dépendance, puisque n'importe quelle distribution LaTeX fait l'affaire.
          Et puis, LaTeX n'est pas obligatoire pour utiliser LyX car on peut aussi s'en servir pour sortir du docbook, ou encore exporter simplement un fichier TeX qui sera compilé sur une autre machine (par exemple parce que tu contribue à l'édition d'un document mais ce n'est pas toi qui fait le rendu).
    • [^] # Re: Hem hem...

      Posté par . Évalué à 0.

      Je n'arrivais pas non plus à utiliser la classe Beamer avec Ubuntu 8.04. Depuis le passage à la 8.10, ça marche.
      • [^] # Re: Hem hem...

        Posté par . Évalué à 1.

        Et en installant texlive-latex-extra ?
        • [^] # Re: Hem hem...

          Posté par . Évalué à 1.

          Texlive est installé et texlive-latex-extra également.

          J'ai installé le paquet latex-beamer mais c'est pareil.
    • [^] # Re: Hem hem...

      Posté par . Évalué à 5.

      Pour ce qui est de crash avec unbuntu 8.04 et LyX 1.5.3, c'était dû au passage à Qt 4.4,
      et cela a été résolu avec LyX 1.5.5.

      Pour ce qui est du beamer manquant, je ne sais pas de tête. Évidemment, on essaie d'être
      accueillant et tout et tout, mais LyX ne peut travailler qu'avec ce que LaTeX lui fournit.
      Sous windows, miktex télécharge automatiquement les packages manquants, mais cela
      tient de la fausse bonne idée à mon avis. Ce genre de problème devrait être géré avec
      l'emballeur ubuntu.

      JMarc, développeur LyX, en direct de Berlin.
      • [^] # Re: Hem hem...

        Posté par . Évalué à 0.

        Merci, j'attendrais d'upgrader ma version d'Ubuntu.
        • [^] # Re: Hem hem...

          Posté par . Évalué à 5.

          Tu vas passer sous debian ?


          Pardon poussez pas je connais la sortie -------->[]
      • [^] # Re: Hem hem...

        Posté par . Évalué à 3.

        Évidemment, on essaie d'être accueillant et tout et tout

        Et je dois dire que vous y arrivez bien ! La preuve, c'est avec Lyx que j'ai convaincu plusieurs copains de passer sur Tex/§Latex pour leur documents.

        Latex, c'est du texte, et CVS sait parfaitement gèrer : du coup les évolutions de docs sont bien mieux tracées que sous Word et son système de révision.

        Bref, je profite honteusement de votre post pour remercier l'équipe de Lyx.

        Cordialement

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n'en sommes pas responsables.